local addonName, addonTable = ...;

NICore = {
    Debug = nil,
    colors = {
        light = "4b7ec3",
        dark = "262971",
        highlight = "6baece",
    }
}


local COLOR_DEBUG = "FF00FF00";
local COLOR_ERROR = "FFFF0000";
local COLOR_CHATOUT = NICore.colors.light;
local CHAT_STRING  = "|cff"..COLOR_CHATOUT.."<NIILL%s|cff"..COLOR_CHATOUT.."> %s|r";
local CHAT_SIGN = " %s[%s]%s";

function NICore:PrintM( msg , sign )
    -- if sign == nil then
        -- sign = "";
    -- end
    -- if sign ~= "" then
        -- sign = format(CHAT_SIGN, "", sign, "") ;--" ["..sign.."]"
    -- end
    
    -- print(format(CHAT_STRING, sign, msg));
end

function NICore:PrintE( msg , sign )
    if sign == nil then
        sign = "ERR";
    end
    if sign ~= "" then
        sign = format(CHAT_SIGN, "|c"..COLOR_ERROR, sign, "|r")
    end
    
    print(format(CHAT_STRING, sign, msg))
end

function NICore:PrintD( msg , sign)
    if NICore.Debug then
        if sign == nil then
            sign = "DEB";
        end
        if sign ~= "" then
            sign = format(CHAT_SIGN, "|c"..COLOR_DEBUG, sign, "|r")
        end
        
        print(format(CHAT_STRING, sign, msg))
    end
end